%global make_vars COMPONENT_TYPE=lib-shared PREFIX=%{_prefix} LIBDIR=%{_lib} Q=
%global build_vars OPTCFLAGS='%{optflags}' OPTLDFLAGS="%{?__global_ldflags}"

Name:           libdom
Version:        0.1.1
Release:        1%{?dist}
Summary:        C implementation of the W3C DOM
License:        MIT
URL:            http://www.netsurf-browser.org/projects/libdom/
Source0:        http://download.netsurf-browser.org/libs/releases/%{name}-%{version}-src.tar.gz
BuildRequires:  netsurf-buildsystem
BuildRequires:  perl(Switch)
BuildRequires:  perl(XML::Parser::PerlSAX)
BuildRequires:  perl(XML::XPath)
# WITH_LIBXML_BINDING
# BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(libhubbub)
BuildRequires:  pkgconfig(libwapcaplet)

%description
LibDOM is an implementation of the W3C DOM, written in C. It was developed as 
part of the NetSurf project. For further details, see README.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

sed -i -e s@-Werror@@ Makefile

%build
%make_build %{make_vars} %{build_vars}

%install
%make_install %{make_vars}

%check
%make_build test %{make_vars} %{build_vars}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc COPYING README
%{_libdir}/%{name}.so.*

%files devel
%doc docs/*
%{_includedir}/dom/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Mon Sep 01 2014 Christopher Meng <rpm@cicku.me> - 0.1.1-1
- Update to 0.1.1

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu May 01 2014 Christopher Meng <rpm@cicku.me> - 0.1.0-1
- Initial Package.
